Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLElement

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement

Direct Known Subclasses:
  DHTMLElement, HTMLElementContainer, HTMLImageURL, HTMLInputElement, HTMLSelect, HTMLTable, HTMLTableCell, HTMLTextElement, HTMLTextURL

public abstract class HTMLElement
extends java.lang.Object

A class representing the base root class used by all HTML generation classes. Is is never instantiated, it simply provides some common services shared by all derived classes.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `sClassName`

Constructor Summary
`HTMLElement()`

Method Summary
`static java.lang.String` | `fixFieldValueForHTML(java.lang.String sValue)` Fixes a URL value that is to be embedded in an HTML page.
`java.lang.String` | `getAsString()`
`java.lang.String` | `getCSSClassName()`
`void` | `render(java.io.OutputStream out)` Renders the object to the HTML output stream.
`abstract void` | `render(java.io.PrintWriter out)`
`void` | `setCSSClassName(java.lang.String sClass)` Sets the CSS class name for this element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sClassName

    protected java.lang.String sClassName

Constructor Detail

### HTMLElement

    public HTMLElement()

Method Detail

### render

    public abstract void render(java.io.PrintWriter out)
                         throws java.lang.Exception

### getAsString

    public java.lang.String getAsString()

### getCSSClassName

    public java.lang.String getCSSClassName()

  Returns:
    the CSS class name for this element

### setCSSClassName

    public void setCSSClassName(java.lang.String sClass)

  Sets the CSS class name for this element.

### fixFieldValueForHTML

    public static java.lang.String fixFieldValueForHTML(java.lang.String sValue)

  Fixes a URL value that is to be embedded in an HTML page. URL values need to be fixed up prior to being embedded in an HTML page. This function replaces all 'special' characters so that they don't become altered when they are subsequently passed back to the HTTP server.

### render

    public void render(java.io.OutputStream out)
                throws java.lang.Exception

  Renders the object to the HTML output stream. Render is the key function that needs to be implemented by all derived classes. It basically renders the HTML representation of the given HTML object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD